<template>
    <v-row>
        <v-col>
            <h1>Nová prohlídka</h1>
            <v-divider />
            <v-form>
                <v-row>
                    <v-col cols="8">
                        <v-text-field v-model="nazev" label="Název"></v-text-field>
                    </v-col>
                    <v-col cols="8">
                        <v-text-field v-model="popis" label="Popis"></v-text-field>
                    </v-col>
                </v-row>
                <v-row>
                    <v-col>
                        <v-btn right color="success" v-on:click="vytvorit">
                            <v-icon>mdi-check</v-icon>
                        </v-btn>
                    </v-col>
                </v-row>
            </v-form>
        </v-col>
    </v-row>
</template>

<script>
    export default {
        async mounted() {
        },
        methods: {
            vytvorit: async function (event) {
                const res = await this.$axios.post('/api/prohlidka', {
                    nazev: this.nazev,
                    popis: this.popis
                });
                location.href = '/prohlidky';
            }
        }
    }
</script>

